namespace NetinaShop.AdminPanel.PWA.Utilities;

public interface IUserUtility
{
    public Task<string?> GetBearerTokenAsync();
    public Task SetBearerTokenAsync(string token);
    public Task<ApplicationUserSDto?> GetUserAsync();
    public Task SetUserAsync(ApplicationUserSDto user);
    public Task SetPermissionsAsync(List<string> permissions);
    public Task<List<string>?> GetPermissionsAsync();
    public Task<bool> HasPermissionAsync(string permission);
    public Task LogoutAsync();

}